CREATE TABLE ar_rev_adj_trx_line_gl_dist_gt (
    CUST_TRX_LINE_GL_DIST_ID     NUMBER(18, 0)    NOT NULL,
    CUSTOMER_TRX_LINE_ID         NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID          NUMBER(18, 0)    NOT NULL,
    SET_OF_BOOKS_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    PERCENT                      NUMBER       ,
    AMOUNT                       NUMBER       ,
    GL_DATE                      DATE         ,
    GL_POSTED_DATE               DATE         ,
    CUST_TRX_LINE_SALESREP_ID    NUMBER(18, 0),
    COMMENTS                     VARCHAR2(960),
    ATTRIBUTE_CATEGORY           VARCHAR2(120),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    REQUEST_ID                   NUMBER(18, 0),
    PROGRAM_APPLICATION_ID       NUMBER(18, 0),
    PROGRAM_ID                   NUMBER(18, 0),
    PROGRAM_UPDATE_DATE          DATE         ,
    CONCATENATED_SEGMENTS        VARCHAR2(960),
    ORIGINAL_GL_DATE             DATE         ,
    POST_REQUEST_ID              NUMBER(18, 0),
    POSTING_CONTROL_ID           NUMBER(18, 0)    NOT NULL,
    ACCOUNT_CLASS                VARCHAR2(80)     NOT NULL,
    RA_POST_LOOP_NUMBER          NUMBER(18, 0),
    CUSTOMER_TRX_ID              NUMBER(18, 0)    NOT NULL,
    ACCOUNT_SET_FLAG             VARCHAR2(4)      NOT NULL,
    ACCTD_AMOUNT                 NUMBER       ,
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    LATEST_REC_FLAG              VARCHAR2(4)  ,
    ORG_ID                       NUMBER(18, 0)    NOT NULL,
    COLLECTED_TAX_CCID           NUMBER(18, 0),
    COLLECTED_TAX_CONCAT_SEG     VARCHAR2(960),
    REVENUE_ADJUSTMENT_ID        NUMBER(18, 0),
    REV_ADJ_CLASS_TEMP           VARCHAR2(120),
    REC_OFFSET_FLAG              VARCHAR2(4)  ,
    EVENT_ID                     NUMBER(18, 0),
    USER_GENERATED_FLAG          VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ROUNDING_CORRECTION_FLAG     VARCHAR2(16) ,
    SESSION_ID                   NUMBER(18, 0),
    CUST_TRX_LINE_GL_DIST_ID     NUMBER(18, 0)    NOT NULL,
    CUSTOMER_TRX_LINE_ID         NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID          NUMBER(18, 0)    NOT NULL,
    SET_OF_BOOKS_ID              NUMBER(18, 0)    NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    PERCENT                      NUMBER       ,
    AMOUNT                       NUMBER       ,
    GL_DATE                      DATE         ,
    GL_POSTED_DATE               DATE         ,
    CUST_TRX_LINE_SALESREP_ID    NUMBER(18, 0),
    COMMENTS                     VARCHAR2(960),
    ATTRIBUTE_CATEGORY           VARCHAR2(120),
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    REQUEST_ID                   NUMBER(18, 0),
    PROGRAM_APPLICATION_ID       NUMBER(18, 0),
    PROGRAM_ID                   NUMBER(18, 0),
    PROGRAM_UPDATE_DATE          DATE         ,
    CONCATENATED_SEGMENTS        VARCHAR2(960),
    ORIGINAL_GL_DATE             DATE         ,
    POST_REQUEST_ID              NUMBER(18, 0),
    POSTING_CONTROL_ID           NUMBER(18, 0)    NOT NULL,
    ACCOUNT_CLASS                VARCHAR2(80)     NOT NULL,
    RA_POST_LOOP_NUMBER          NUMBER(18, 0),
    CUSTOMER_TRX_ID              NUMBER(18, 0)    NOT NULL,
    ACCOUNT_SET_FLAG             VARCHAR2(4)      NOT NULL,
    ACCTD_AMOUNT                 NUMBER       ,
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    LATEST_REC_FLAG              VARCHAR2(4)  ,
    ORG_ID                       NUMBER(18, 0)    NOT NULL,
    COLLECTED_TAX_CCID           NUMBER(18, 0),
    COLLECTED_TAX_CONCAT_SEG     VARCHAR2(960),
    REVENUE_ADJUSTMENT_ID        NUMBER(18, 0),
    REV_ADJ_CLASS_TEMP           VARCHAR2(120),
    REC_OFFSET_FLAG              VARCHAR2(4)  ,
    EVENT_ID                     NUMBER(18, 0),
    USER_GENERATED_FLAG          VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ROUNDING_CORRECTION_FLAG     VARCHAR2(16) ,
    SESSION_ID                   NUMBER(18, 0)
);
